org.apache.cassandra.db

## Class RangeSliceCommand

- java.lang.Object
- - org.apache.cassandra.db.RangeSliceCommand

- All Implemented Interfaces:
    IReadCommand

      public class RangeSliceCommand
      extends java.lang.Object
      implements IReadCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `column_family`
    `boolean` | `countCQL3Rows`
    `boolean` | `isPaging`
    `java.lang.String` | `keyspace`
    `int` | `maxResults`
    `IDiskAtomFilter` | `predicate`
    `AbstractBounds<RowPosition>` | `range`
    `java.util.List<IndexExpression>` | `row_filter`
    `static org.apache.cassandra.db.RangeSliceCommandSerializer` | `serializer`
    `java.nio.ByteBuffer` | `super_column`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeSliceCommand(java.lang.String keyspace, ColumnParent column_parent, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults)`
    `RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, int maxResults)`
    `RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults)`
    `RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults, boolean countCQL3Rows, boolean isPaging)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<RangeSliceCommand>` | `createMessage()`
    `java.lang.String` | `getKeyspace()`
    `long` | `getTimeout()`
    `IndexScanCommand` | `toIndexScanCommand()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.db.RangeSliceCommandSerializer serializer

    - #### keyspace

          public final java.lang.String keyspace

    - #### column_family

          public final java.lang.String column_family

    - #### super_column

          public final java.nio.ByteBuffer super_column

    - #### predicate

          public final IDiskAtomFilter predicate

    - #### row_filter

          public final java.util.List<IndexExpression> row_filter

    - #### range

          public final AbstractBounds<RowPosition> range

    - #### maxResults

          public final int maxResults

    - #### countCQL3Rows

          public final boolean countCQL3Rows

    - #### isPaging

          public final boolean isPaging

  - ### Constructor Detail

    - #### RangeSliceCommand

          public RangeSliceCommand(java.lang.String keyspace,
                           java.lang.String column_family,
                           java.nio.ByteBuffer super_column,
                           IDiskAtomFilter predicate,
                           AbstractBounds<RowPosition> range,
                           int maxResults)

    - #### RangeSliceCommand

          public RangeSliceCommand(java.lang.String keyspace,
                           ColumnParent column_parent,
                           IDiskAtomFilter predicate,
                           AbstractBounds<RowPosition> range,
                           java.util.List<IndexExpression> row_filter,
                           int maxResults)

    - #### RangeSliceCommand

          public RangeSliceCommand(java.lang.String keyspace,
                           java.lang.String column_family,
                           java.nio.ByteBuffer super_column,
                           IDiskAtomFilter predicate,
                           AbstractBounds<RowPosition> range,
                           java.util.List<IndexExpression> row_filter,
                           int maxResults)

    - #### RangeSliceCommand

          public RangeSliceCommand(java.lang.String keyspace,
                           java.lang.String column_family,
                           java.nio.ByteBuffer super_column,
                           IDiskAtomFilter predicate,
                           AbstractBounds<RowPosition> range,
                           java.util.List<IndexExpression> row_filter,
                           int maxResults,
                           boolean countCQL3Rows,
                           boolean isPaging)

  - ### Method Detail

    - #### createMessage

          public MessageOut<RangeSliceCommand> createMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getKeyspace

          public java.lang.String getKeyspace()

      Specified by:
        `getKeyspace` in interface `IReadCommand`

    - #### toIndexScanCommand

          public IndexScanCommand toIndexScanCommand()

    - #### getTimeout

          public long getTimeout()

      Specified by:
        `getTimeout` in interface `IReadCommand`

Copyright © 2014 The Apache Software Foundation